/*
 * fractal
 * Written in 2020 by Lucas
 * CC0 1.0 Universal/Public domain - No rights reserved
 *
 * To the extent possible under law, the author(s) have dedicated all
 * copyright and related and neighboring rights to this software to the
 * public domain worldwide. This software is distributed without any
 * warranty. You should have received a copy of the CC0 Public Domain
 * Dedication along with this software. If not, see
 * <http://creativecommons.org/publicdomain/zero/1.0/>.
 */
#include <stdlib.h>

const char *
xgetprogname(void)
{
#if defined(__OpenBSD__)
	return getprogname();
#else
	extern char *__progname;
	return __progname;
#endif
}

void
xsrand48(long seed)
{
#if defined(__OpenBSD__)
	srand48_deterministic(seed);
#else
	srand48(seed);
#endif
}
